net.sf.okapi.lib.xliff2.core

## Enum TargetState

- java.lang.Object
- - java.lang.Enum<TargetState>
  - - net.sf.okapi.lib.xliff2.core.TargetState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TargetState>

      public enum TargetState
      extends java.lang.Enum<TargetState>

  Possible values for the `state` attribute of a target content: `INITIAL`, `TRANSLATED`, `REVIEWED` and `FINAL`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FINAL` Target state: final.
    `INITIAL` Target state: initial.
    `REVIEWED` Target state: reviewed.
    `TRANSLATED` Target state: translated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TargetState` | `fromString(java.lang.String name)` Converts a given string representing the name of a target state into a `TargetState` object.
    `java.lang.String` | `toString()`
    `static TargetState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TargetState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INITIAL

          public static final TargetState INITIAL

      Target state: initial.

    - #### TRANSLATED

          public static final TargetState TRANSLATED

      Target state: translated.

    - #### REVIEWED

          public static final TargetState REVIEWED

      Target state: reviewed.

    - #### FINAL

          public static final TargetState FINAL

      Target state: final.

  - ### Method Detail

    - #### values

          public static TargetState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TargetState c : TargetState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TargetState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<TargetState>`

    - #### fromString

          public static TargetState fromString(java.lang.String name)

      Converts a given string representing the name of a target state into a `TargetState` object.
      Parameters:
        `name` - the name of the target state.
      Returns:
        the object for the given name.
      Throws:
        `InvalidParameterException` - if the name is invalid.